# Unity Notes

* When using Unity, be sure to define `UNITY_INCLUDE_CONFIG_H`
to use the [`unity_config.h`](/Unity/src/unity_config.h).
	* For the quad directory, this is done at compile-time of the Unity library [here](/Unity/src/Makefile)
	and at compile-time of the test runner [here](/quad/library.mk).
* Follow the examples in the [`Unity/examples`](/Unity/examples) for a guide as well
as the documentation in [`Unity/docs`](/Unity/docs)
	* Generally, the format is to start `main()` with `UNITY_BEGIN()`, followed by calls to `RUN_TEST(test_function)` where `test_function` is a test to run, ended with
	`return UNITY_END()`
